"""Top-level package for pix2vec."""

__author__ = """Alessandro Frigeri"""
__email__ = 'alessandro.frigeri@inaf.it'
__version__ = '0.1.0'

from osgeo import ogr

CPT_FIELDS = {
"Filename":ogr.OFTString,
"Sample":ogr.OFTInteger,
"Line":ogr.OFTInteger,
"PixelValue":ogr.OFTReal,
"RightAscension":ogr.OFTReal,
"Declination":ogr.OFTReal,
"PlanetocentricLatitude":ogr.OFTReal,
"PlanetographicLatitude":ogr.OFTReal,
"PositiveEast360Longitude":ogr.OFTReal,
"PositiveEast180Longitude":ogr.OFTReal,
"PositiveWest360Longitude":ogr.OFTReal,
"PositiveWest180Longitude":ogr.OFTReal,
"BodyFixedCoordinateX":ogr.OFTReal,
"BodyFixedCoordinateY":ogr.OFTReal,
"BodyFixedCoordinateZ":ogr.OFTReal,
"LocalRadius":ogr.OFTReal,
"SampleResolution":ogr.OFTReal,
"LineResolution":ogr.OFTReal,
"SpacecraftPositionX":ogr.OFTReal,
"SpacecraftPositionY":ogr.OFTReal,
"SpacecraftPositionZ":ogr.OFTReal,
"SpacecraftAzimuth":ogr.OFTReal,
"SlantDistance":ogr.OFTReal,
"TargetCenterDistance":ogr.OFTReal,
"SubSpacecraftLatitude":ogr.OFTReal,
"SubSpacecraftLongitude":ogr.OFTReal,
"SpacecraftAltitude":ogr.OFTReal,
"OffNadirAngle":ogr.OFTReal,
"SubSpacecraftGroundAzimuth":ogr.OFTReal,
"SunPositionX":ogr.OFTReal,
"SunPositionY":ogr.OFTReal,
"SunPositionZ":ogr.OFTReal,
"SubSolarAzimuth":ogr.OFTReal,
"SolarDistance":ogr.OFTReal,
"SubSolarLatitude":ogr.OFTReal,
"SubSolarLongitude":ogr.OFTReal,
"SubSolarGroundAzimuth":ogr.OFTReal,
"Phase":ogr.OFTReal,
"Incidence":ogr.OFTReal,
"Emission":ogr.OFTReal,
"NorthAzimuth":ogr.OFTReal,
"EphemerisTime":ogr.OFTReal,
"UTC":ogr.OFTDateTime,
"LocalSolarTime":ogr.OFTReal,
"SolarLongitude":ogr.OFTReal,
"LookDirectionBodyFixedX":ogr.OFTReal,
"LookDirectionBodyFixedY":ogr.OFTReal,
"LookDirectionBodyFixedZ":ogr.OFTReal,
"LookDirectionJ2000X":ogr.OFTReal,
"LookDirectionJ2000Y":ogr.OFTReal,
"LookDirectionJ2000Z":ogr.OFTReal,
"LookDirectionCameraX":ogr.OFTReal,
"LookDirectionCameraY":ogr.OFTReal,
"LookDirectionCameraZ":ogr.OFTReal,
"ObliqueDetectorResolution":ogr.OFTReal,
"ObliquePixelResolution":ogr.OFTReal,
"ObliqueLineResolution":ogr.OFTReal,
"ObliqueSampleResolution":ogr.OFTReal,
"Error":ogr.OFTString,
}


GCS_DICT = {
	"MOON": "IAU:30100",
	"MARS": "IAU:49900",
}  
